'use strict';

var React = require('react');

function _interopDefault (e) { return e && e.__esModule ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefault(React);

const CustomReferenceDot = React.forwardRef(function CustomReferenceDot(props, ref) {
    return (React__default["default"].createElement("circle", Object.assign({}, props, { ref: ref }),
        React__default["default"].createElement("animate", { attributeName: "r", values: "4;8;4", dur: "2s", begin: "0s", repeatCount: "indefinite" })));
});

exports.CustomReferenceDot = CustomReferenceDot;
